質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.42%
Google Colaboratory

Google Colaboratoryとは、無償のJupyterノートブック環境。教育や研究機関の機械学習の普及のためのGoogleの研究プロジェクトです。PythonやNumpyといった機械学習で要する大方の環境がすでに構築されており、コードの記述・実行、解析の保存・共有などが可能です。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

解決済

1回答

615閲覧

AttributeError: 'APICoreClientInfoImportHook' object has no attribute 'find_spec' を解決したい。

Takananashi

総合スコア3

Google Colaboratory

Google Colaboratoryとは、無償のJupyterノートブック環境。教育や研究機関の機械学習の普及のためのGoogleの研究プロジェクトです。PythonやNumpyといった機械学習で要する大方の環境がすでに構築されており、コードの記述・実行、解析の保存・共有などが可能です。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

0グッド

0クリップ

投稿2023/05/02 00:24

実現したいこと

エラーが出ないようにしたい。

前提

以前までは機能していたプログラムが、何も変更していないのにエラーを出すようになりました。
以前からGoogleColaboratoryで実行しています。

発生している問題・エラーメッセージ

AttributeError Traceback (most recent call last) /usr/lib/python3.10/importlib/_bootstrap.py in _find_spec(name, path, target) AttributeError: 'APICoreClientInfoImportHook' object has no attribute 'find_spec' During handling of the above exception, another exception occurred: ImportWarning Traceback (most recent call last) 17 frames <ipython-input-1-************> in <cell line: 1086>() 1084 return action ,prob1, prob1# 1085 -> 1086 env = Env(input_index) 1087 end = env.index2 1088 <ipython-input-1-************> in __init__(self, input_index) 923 class Env: 924 def __init__(self, input_index): --> 925 self.df = pd.read_csv(csv_path, 926 names = ("time","price","count")) 927 self.df.fillna(method='ffill',inplace=True) /usr/local/lib/python3.10/dist-packages/pandas/util/_decorators.py in wrapper(*args, **kwargs) 209 else: 210 kwargs[new_arg_name] = new_arg_value --> 211 return func(*args, **kwargs) 212 213 return cast(F, wrapper) /usr/local/lib/python3.10/dist-packages/pandas/util/_decorators.py in wrapper(*args, **kwargs) 329 stacklevel=find_stack_level(), 330 ) --> 331 return func(*args, **kwargs) 332 333 # error: "Callable[[VarArg(Any), KwArg(Any)], Any]" has no /usr/local/lib/python3.10/dist-packages/pandas/io/parsers/readers.py in read_csv(filepath_or_buffer, sep, delimiter, header, names, index_col, usecols, squeeze, prefix, mangle_dupe_cols, dtype, engine, converters, true_values, false_values, skipinitialspace, skiprows, skipfooter, nrows, na_values, keep_default_na, na_filter, verbose, skip_blank_lines, parse_dates, infer_datetime_format, keep_date_col, date_parser, dayfirst, cache_dates, iterator, chunksize, compression, thousands, decimal, lineterminator, quotechar, quoting, doublequote, escapechar, comment, encoding, encoding_errors, dialect, error_bad_lines, warn_bad_lines, on_bad_lines, delim_whitespace, low_memory, memory_map, float_precision, storage_options) 948 kwds.update(kwds_defaults) 949 --> 950 return _read(filepath_or_buffer, kwds) 951 952 /usr/local/lib/python3.10/dist-packages/pandas/io/parsers/readers.py in _read(filepath_or_buffer, kwds) 603 604 # Create the parser. --> 605 parser = TextFileReader(filepath_or_buffer, **kwds) 606 607 if chunksize or iterator: /usr/local/lib/python3.10/dist-packages/pandas/io/parsers/readers.py in __init__(self, f, engine, **kwds) 1440 1441 self.handles: IOHandles | None = None -> 1442 self._engine = self._make_engine(f, self.engine) 1443 1444 def close(self) -> None: /usr/local/lib/python3.10/dist-packages/pandas/io/parsers/readers.py in _make_engine(self, f, engine) 1733 if "b" not in mode: 1734 mode += "b" -> 1735 self.handles = get_handle( 1736 f, 1737 mode, /usr/local/lib/python3.10/dist-packages/pandas/io/common.py in get_handle(path_or_buf, mode, encoding, compression, memory_map, is_text, errors, storage_options) 702 703 # read_csv does not know whether the buffer is opened in binary/text mode --> 704 if _is_binary_mode(path_or_buf, mode) and "b" not in mode: 705 mode += "b" 706 /usr/local/lib/python3.10/dist-packages/pandas/io/common.py in _is_binary_mode(handle, mode) 1161 return False 1162 -> 1163 return isinstance(handle, _get_binary_io_classes()) or "b" in getattr( 1164 handle, "mode", mode 1165 ) /usr/local/lib/python3.10/dist-packages/pandas/io/common.py in _get_binary_io_classes() 1176 # so we have to get it from a `zstd.ZstdDecompressor` instance. 1177 # See also https://github.com/indygreg/python-zstandard/pull/165. -> 1178 zstd = import_optional_dependency("zstandard", errors="ignore") 1179 if zstd is not None: 1180 with zstd.ZstdDecompressor().stream_reader(b"") as reader: /usr/local/lib/python3.10/dist-packages/pandas/compat/_optional.py in import_optional_dependency(name, extra, errors, min_version) 139 ) 140 try: --> 141 module = importlib.import_module(name) 142 except ImportError: 143 if errors == "raise": /usr/lib/python3.10/importlib/__init__.py in import_module(name, package) 124 break 125 level += 1 --> 126 return _bootstrap._gcd_import(name[level:], package, level) 127 128 /usr/lib/python3.10/importlib/_bootstrap.py in _gcd_import(name, package, level) /usr/lib/python3.10/importlib/_bootstrap.py in _find_and_load(name, import_) /usr/lib/python3.10/importlib/_bootstrap.py in _find_and_load_unlocked(name, import_) /usr/lib/python3.10/importlib/_bootstrap.py in _find_spec(name, path, target) /usr/lib/python3.10/importlib/_bootstrap.py in _find_spec_legacy(finder, name, path) ImportWarning: APICoreClientInfoImportHook.find_spec() not found; falling back to find_module()

該当のソースコード(長すぎるので一部抜粋)

python

1 2import pandas as pd 3 4class Env: 5 def __init__(self, input_index): 6 self.df = pd.read_csv(csv_path, 7 names = ("time","price","count")) 8 self.df.fillna(method='ffill',inplace=True) 9 10env = Env(input_index)

試したこと

エラーメッセージでグーグル検索しましたが、一切情報が出てきませんでした。

補足情報(FW/ツールのバージョンなど)

Google Colaboratoryで実行

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

meg_

2023/05/02 02:04 編集

> 該当のソースコード(長すぎるので一部抜粋) 上記コードのみでは(質問の)エラーは発生しないかと思います。そちらで実際にエラーが発生する最小のコードを確認いただき記入いただけないでしょうか?
Takananashi

2023/05/02 03:37

ご指摘ありがとうございます。最小のコードを確認する過程でエラーを消すことができました。
guest

回答1

0

自己解決

import warnings
warnings.simplefilter('error')
を消したらエラーが出なくなりました。
なぜエラーが出なくなったのかがよくわかりません。

投稿2023/05/02 03:38

Takananashi

総合スコア3

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.42%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問